slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDStoppingBasic

Default routine to determine whether the outer singular value solver iteration must be stopped.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDStoppingBasic(SVD svd,PetscInt its,PetscInt max_it,PetscInt nconv,PetscInt nsv,SVDConvergedReason *reason,void *ctx)

Collective

### Input Parameters

| svd | - singular value solver context obtained from SVDCreate()
| its | - current number of iterations
| max_it | - maximum number of iterations
| nconv | - number of currently converged singular triplets
| nsv | - number of requested singular triplets
| ctx | - context (not used here)

### Output Parameter

| reason | - result of the stopping test

### Notes

A positive value of reason indicates that the iteration has finished successfully (converged), and a negative value indicates an error condition (diverged). If the iteration needs to be continued, reason must be set to SVD_CONVERGED_ITERATING (zero).

SVDStoppingBasic() will stop if all requested singular values are converged, or if the maximum number of iterations has been reached.

Use SVDSetStoppingTest() to provide your own test instead of using this one.

### See Also

SVDSetStoppingTest(), SVDConvergedReason, SVDGetConvergedReason()

### Level

advanced

### Location

src/svd/interface/svddefault.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages